Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.transport
Class TransportPastryNodeFactory

    java.lang.Object
      rice.pastry.PastryNodeFactory
          rice.pastry.transport.TransportPastryNodeFactory

Direct Known Subclasses:
  DirectPastryNodeFactory, SocketPastryNodeFactory

    public abstract class TransportPastryNodeFactory

extends PastryNodeFactory

Field Summary
`protected int` | `leafSetMaintFreq` Large period (in seconds) means infrequent, 0 means never.
`protected int` | `routeSetMaintFreq`

Fields inherited from class rice.pastry.PastryNodeFactory
`environment, logger, lSetSize, rtBase, rtMax`

Constructor Summary
`TransportPastryNodeFactory(Environment env)` Constructor.

Method Summary
`protected abstract Bootstrapper` | `getBootstrapper(TLPastryNode pn, NodeHandleAdapter tl, NodeHandleFactory handleFactory, ProximityNeighborSelector pns, java.lang.Object localNodeData)`
`protected abstract NodeHandle` | `getLocalHandle(TLPastryNode pn, NodeHandleFactory handleFactory, java.lang.Object localNodeData)`
`protected abstract NodeHandleFactory` | `getNodeHandleFactory(TLPastryNode pn)`
`protected abstract NodeHandleAdapter` | `getNodeHanldeAdapter(TLPastryNode pn, NodeHandleFactory handleFactory, TLDeserializer deserializer)`
`protected ProximityNeighborSelector` | `getProximityNeighborSelector(TLPastryNode pn)` Can be overridden.
`protected TLDeserializer` | `getTLDeserializer(NodeHandleFactory handleFactory, TLPastryNode pn)`
`protected TLPastryNode` | `nodeHandleHelper(Id nodeId, Environment environment, java.lang.Object localNodeData)`

Methods inherited from class rice.pastry.PastryNodeFactory
`getEnvironment, newNode, newNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leafSetMaintFreq

    protected int leafSetMaintFreq

  Large period (in seconds) means infrequent, 0 means never.

### routeSetMaintFreq

    protected int routeSetMaintFreq

Constructor Detail

### TransportPastryNodeFactory

    public TransportPastryNodeFactory(Environment env)

  Constructor. Here is order for bind address 1) bindAddress parameter 2) if bindAddress is null, then parameter: socket_bindAddress (if it exists) 3) if socket_bindAddress doesn't exist, then InetAddress.getLocalHost()

  Parameters:
    `nf` - The factory for building node ids
    `bindAddress` - which address to bind to
    `startPort` - The port to start creating nodes on
    `env` - The environment.

Method Detail

### nodeHandleHelper

    protected TLPastryNode nodeHandleHelper(Id nodeId,
                                            Environment environment,
                                            java.lang.Object localNodeData)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTLDeserializer

    protected TLDeserializer getTLDeserializer(NodeHandleFactory handleFactory,
                                               TLPastryNode pn)

### getProximityNeighborSelector

    protected ProximityNeighborSelector getProximityNeighborSelector(TLPastryNode pn)

  Can be overridden.

  Parameters:
    `pn` -
  Returns:

### getLocalHandle

    protected abstract NodeHandle getLocalHandle(TLPastryNode pn,
                                                 NodeHandleFactory handleFactory,
                                                 java.lang.Object localNodeData)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNodeHanldeAdapter

    protected abstract NodeHandleAdapter getNodeHanldeAdapter(TLPastryNode pn,
                                                              NodeHandleFactory handleFactory,
                                                              TLDeserializer deserializer)
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNodeHandleFactory

    protected abstract NodeHandleFactory getNodeHandleFactory(TLPastryNode pn)
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBootstrapper

    protected abstract Bootstrapper getBootstrapper(TLPastryNode pn,
                                                    NodeHandleAdapter tl,
                                                    NodeHandleFactory handleFactory,
                                                    ProximityNeighborSelector pns,
                                                    java.lang.Object localNodeData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.